Subject: I am 23, is it advisable to leave my job if I am unhappy with it?
From: Quora Digest <[email-masked]>
To: [email-masked]
Date: Thu, 15 Apr 2021 14:39:04 +0000

Algaily's Digest
Your Quora Digest

-----

Question: I am 23, is it advisable to leave my job if I am unhappy with it?

Answer from Nikhil Jain

I have been in this situation before. I joined my first job when I was 22. After the initial few months, I started feeling suffocated at my workplace. Needless to say, I was v
Read More: http://www.quora.com/I-am-23-is-it-advisable-to-leave-my-job-if-I-am-unhappy-with-it?top_ans=250028393
-----
Question: Is Bhutan culturally closer to China or India?

Answer from Saikat Bhowmik

I am from Siliguri(which is not far from Bhutan) and I have visited Bhutan couple of times. So, I may not be the best person to answer this, but being a keen observer of peopl
Read More: http://www.quora.com/Is-Bhutan-culturally-closer-to-China-or-India?top_ans=110900565
-----
Question: Why is Kolkata the only good city in Bengal, but other parts of Bengali seem to be very behind?

Answer from Arya Mukherjee

I think you haven’t seen other Bengal cities:

#1. Siliguri one of the largest city of West Bengal and the gateway to N-E India.

#2 Asansol home of many factories which belon
Read More: http://www.quora.com/Why-is-Kolkata-the-only-good-city-in-Bengal-but-other-parts-of-Bengali-seem-to-be-very-behind?top_ans=254771071
-----
Question: How much do MBBs get paid?

Answer from Dinesh R P

Depends on what job one is doing and I'm going to only talk about the freshers

In a corporate hospital they will be paid 40–80k a month, 40k in South India where the number o
Read More: http://www.quora.com/How-much-do-MBBs-get-paid?top_ans=259904606
-----
Question: Will Congress win with the majority in the 2024 Indian election due to the hatred of Modi by the people?

Answer from Rajagopalan K Suryanarayan

The Indian Congress Party for all purposes is a dead horse. The party cannot win any election for many years to come. The damage to the structure of the party is too great tha
Read More: http://www.quora.com/Will-Congress-win-with-the-majority-in-the-2024-Indian-election-due-to-the-hatred-of-Modi-by-the-people?top_ans=267374972
-----
Question: What type of visa is an RB1/B2?

Answer from Kathryn Berck

Notice that, on the visa itself, the letter R is separate from the B1/B2.

That’s because the ‘R’ means only that the visa will be in a ‘regular’ passport, not diplomatic or o
Read More: http://www.quora.com/What-type-of-visa-is-an-RB1-B2?top_ans=250941342
-----
Question: Did you go to Dubai and didn’t want to leave?

Answer from Robert L Hill

Wellllll, kind of.

I have lived and seen pretty much most of the world, with a few notable exceptions (Japan and Africa stand out…sorry!). But I have lived all over the US, a
Read More: http://www.quora.com/Did-you-go-to-Dubai-and-didn-t-want-to-leave?top_ans=143190050
-----
Question: Who attacked Mamata Banerjee?

Answer from Biplab Banerjee

PK attacked her.

He attacked Arvind Kejriwal, slapped him

He attacked jagan Mohan reddy, knifed him nearly.

He wanted Nitish also in this basket but Nitish screwed him out.
Read More: http://www.quora.com/Who-attacked-Mamata-Banerjee?top_ans=269830643
-----
Question: What’s it like being your age?

Answer from Payel Das

I am 28.

I am currently pursuing my PhD in Germany.

I stay alone in a rented apartment. I am financially independent. I cook, I clean the house, I do all the daily chores be
Read More: http://www.quora.com/What-s-it-like-being-your-age?top_ans=262251421
-----
Question: How much will Cardano be worth by 2025?

Answer from Jade Simpson

I’ll tell you right now that no one can answer this question correctly, at least not in 2021 which is the year that this answer was written.

If you could find someone who’s e
Read More: http://www.quora.com/How-much-will-Cardano-be-worth-by-2025?top_ans=267691623
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/tc?aoid&aoty=14&aty=4&cp=0&et=2&id=c8dba43c47384532ac60d810bfb2182c&uid=oaI5nJBvtz4

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=c8dba43c47384532ac60d810bfb2182c&t=1618497543477088&token=f6abeda37008dca4449c92a5b47013fcdff711ca446bfa367aa574e1c6e963c769f8f6f56b283bdb6fb06705e86e1252b50acc0ee44321a37e39c2023fea4386&type=2&uid=1229773278